Bug 2041509

Summary: GCP Cloud provider components should use K8s 1.23 dependencies
Product: OpenShift Container Platform Reporter: Mike Fedosin <mfedosin>
Component: Cloud ComputeAssignee: Mike Fedosin <mfedosin>
Cloud Compute sub component: Cloud Controller Manager QA Contact: Huali Liu <huliu>
Status: CLOSED ERRATA Docs Contact:
Severity: high    
Priority: high CC: aos-bugs, ddonati, mfedosin, zhsun
Version: 4.10   
Target Milestone: ---   
Target Release: 4.10.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 2034881 Environment:
Last Closed: 2022-03-10 16:40:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2034881    
Bug Blocks:    

Comment 1 Mike Fedosin 2022-01-17 14:54:06 UTC
Upstream PR is on review: https://github.com/kubernetes/cloud-provider-gcp/pull/305

Comment 2 Joel Speed 2022-01-20 09:10:40 UTC
Marking this as blocker+ for now as we have managed to get a rebase in for all of our other CCMs but we are having some issue with GCP (upstream discussion around PRs), we are going to carry some patches for now and get a PR up today

Comment 5 Huali Liu 2022-01-26 03:42:41 UTC
Run regression testing on 4.10.0-0.nightly-2022-01-22-102609, 20 cloud test cases all passed, mark this as Verified.
https://polarion.engineering.redhat.com/polarion/#/project/OSE/workitems?query=subteam.KEY%3Acloud%20AND%20(TEST_RECORDS%3A(%22OSE%2F20220123-2001%22%2C%40any))&sidebar=testrun&testrun=OSE%2F20220123-2001

Comment 8 errata-xmlrpc 2022-03-10 16:40:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056